/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.CategoriaCorrida;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderConfiguracionCategoriaCorrida implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        CategoriaCorrida categoria = (CategoriaCorrida) o;

        Listcell lc = new Listcell(categoria.getCorridaCtrl().getCorridaId().toString());
        lc.setParent(lstm);

        SimpleDateFormat sf = new SimpleDateFormat("HH:mm");
        lc = new Listcell((categoria.getCorridaCtrl().getHorario() == null)?"-":sf.format(categoria.getCorridaCtrl().getHorario()));
        lc.setParent(lstm);

        lstm.setAttribute("data", categoria);
    }
}
